
# Fedora Review:
# http://bugzilla.redhat.com/171289

Name:	 dirmngr 
Summary: Client for Managing/Downloading CRLs
Version: 1.0.0
Release: 2%{?dist} 

License: GPL
Group:	 System Environment/Libraries
URL:	 http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/dirmngr/dirmngr-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/dirmngr/dirmngr-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source10: dirmngr.conf
Source11: ldapservers.conf
Source12: dirmngr.logrotate

BuildRequires: libassuan-static
BuildRequires: libgcrypt-devel >= 1.2.0
BuildRequires: libksba-devel >= 1.0.0 
buildRequires: pth-devel
BuildRequires: openldap-devel

Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
Requires: logrotate

%description
Dirmngr is a server for managing and downloading certificate
revocation lists (CRLs) for X.509 certificates and for downloading
the certificates themselves. Dirmngr also handles OCSP requests as
an alternative to CRLs. Dirmngr is either invoked internally by
gpgsm (from gnupg2) or when running as a system daemon through
the dirmngr-client tool.


%prep
%setup -q

pushd doc
iconv -f iso-8859-1 -t utf-8 dirmngr.texi -o dirmngr.texi.NEW && mv dirmngr.texi.NEW dirmngr.texi
iconv -f iso-8859-1 -t utf-8 dirmngr.info -o dirmngr.info.NEW && mv dirmngr.info.NEW dirmngr.info
popd


%build

%configure \
  --disable-dependancy-tracking

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dirmngr/trusted-certs
# x86_64?  lib -> %{_lib} ?
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/dirmngr/extra-certs

make install DESTDIR=$RPM_BUILD_ROOT

# conf files
install -p -m644 %{SOURCE10} %{SOURCE11} \
  $RPM_BUILD_ROOT%{_sysconfdir}/dirmngr/

# logrotate
install -p -m644 -D %{SOURCE12} \
  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/dirmngr

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

# files/dirs for --daemon mode
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/dirmngr/crls.d/
touch $RPM_BUILD_ROOT%{_var}/cache/dirmngr/crls.d/DIR.txt
mkdir -p $RPM_BUILD_ROOT%{_var}/log/
touch $RPM_BUILD_ROOT%{_var}/log/dirmngr.log
mkdir -p $RPM_BUILD_ROOT%{_var}/run/dirmngr


%post
/sbin/install-info %{_infodir}/dirmngr.info.gz %{_infodir}/dir ||:

%postun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/dirmngr.info.gz %{_infodir}/dir ||:
fi


%clean
rm -rf $RPM_BUILD_ROOT 


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README ChangeLog NEWS
%{_bindir}/dirmngr*
%{_libexecdir}/dirmngr_ldap
%{_infodir}/dirmngr.info*
%{_mandir}/man1/*
# TODO/FIXME
#{_initrddir}/*
# files/dirs for --daemon mode
%dir %{_sysconfdir}/dirmngr
%config(noreplace) %{_sysconfdir}/dirmngr/*.conf
%config %{_sysconfdir}/logrotate.d/*
%dir %{_var}/cache/dirmngr
%dir %{_var}/cache/dirmngr/crls.d
%ghost %{_var}/cache/dirmngr/crls.d/DIR.txt
%{_var}/lib/dirmngr
%ghost %{_var}/log/dirmngr.log
%{_var}/run/dirmngr


%changelog
* Wed Nov 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.0-2
- dirmngr-1.0.0

* Mon Nov 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.6-2
- BR: libassuan-static

* Tue Sep 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.6-1
- dirmngr-0.9.6

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.4-5
- fc6 respin

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.4-4
- %%config(noreplace) %%_sysconfdir/logrotate.d/dirmngr

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.4-3
- use 'iconv -f iso-8859-1 -t utf-8' to avoid dropping characters

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.4-2
- remove non-ASCII chars from dirmngr.info
- %%config %%_sysconfdir/logrotate.d/dirmngr

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.4-1
- 0.9.4
- %%doc COPYING
- drop upstreamed info patch
- use logrotate on dirmngr.log
- add comment to (previously) empty ldapservers.conf

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-1
- 0.9.3

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-3
- create/own more files/dirs for --daemon mode
- TODO: proper init script

* Thu Oct 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-2
- drop BR: libgpg-error-devel, texinfo
- drop goofy conditional 'make install-strip '
- BR: libksba-devel >= 0.9.11
- BR: libassuan-devel >= 0.6.8
- fix spelling error(s) in %%description
- --disable-dependancy-tracking

* Thu Oct 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.2-1
- 0.9.2

* Mon Mar 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.1-0.fdr.1
- 0.9.1

* Fri Jan 07 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.0-0.fdr.2
- fix info entry (so deletion/uninstallation works)

* Fri Jan 07 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.0-0.fdr.1
- 0.9.0

* Thu Dec 16 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.5-0.fdr.2
- 64bit fix (look for openldap in %%_libdir, not just /usr/lib)

* Wed Oct 20 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.5-0.fdr.1
- first try

